/*****************************************************************************/
/*
                                   charset.c

CGI-compliant script to render the ISO Latin 1 character set using HTML
entities.


BUILD
-----
See BUILD_CHARSET.COM


VERSION HISTORY
---------------
07-MAR-96  MGD  v1.0.0, quick hack
*/
/*****************************************************************************/

#ifdef __ALPHA
   char SoftwareID [] = "CHARSET AXP-1.0.0";
#else
   char SoftwareID [] = "CHARSET VAX-1.0.0";
#endif

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <errno.h>
#include <file.h>

#include <descrip.h>
#include <ssdef.h>
#include <stsdef.h>

#define VMSok(x) ((x) & STS$M_SUCCESS)
#define VMSnok(x) !(((x) & STS$M_SUCCESS))

#define boolean int
#define true 1
#define false 0

char  Title [] = "Character Set Generator",
      Utility [] = "CHARSET";

FILE  *HttpOut;

/*****************************************************************************/
/*
*/

main ()

{
   int  status,
        Count;
   unsigned long  TimeoutBinTime [2];
   char  HttpRecord [1024];
   static $DESCRIPTOR (TimeoutDsc, "0 00:00:01.00");

   /*********/
   /* begin */
   /*********/

   /* open another output stream so that the '\r' and '\n' are not filtered */
#ifdef __DECC
   if ((HttpOut = fopen ("SYS$OUTPUT", "w", "ctx=bin")) == NULL)
      exit (vaxc$errno);
#else
   if ((HttpOut = fopen ("SYS$OUTPUT", "w", "rfm=udf")) == NULL)
      exit (vaxc$errno);
#endif

   fprintf (HttpOut,
"HTTP/1.0 200 Document follows.\r\n\
Server: %s\r\n\
Content-Type: text/html\r\n\
\r\n\
<!-- SoftwareID: %s -->\n\
<TITLE>%s</TITLE>\n\
<H1>%s</H1>\n\
<I>Your browser renders the entity set 1 to 255 in the way you see below.</I>\n\
<HR>\n",
      SoftwareID, SoftwareID, Title, Title);

   for (Count = 1; Count <= 255; Count++)
      fprintf (HttpOut, "<BR><TT>&amp;#%d;</TT> &#%d;\n", Count, Count);

   fprintf (HttpOut, "<P><HR>\n");

   exit (SS$_NORMAL);
}

/*****************************************************************************/

